[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIDesigner.GetShiftState

Gets the value for the shift state (whether Shift, Ctrl, or Alt key).

## Declaration

Source position: forms.pp line 1920

`public function TIDesigner.GetShiftState: TShiftState; virtual; abstract;`

## Function result

Shift, Ctrl, Alt modifier for the designer.